WLAN_CCMP(4)

NAME
wlan_ccmp - AES-CCMP crypto support for 802.11 devices

SYNOPSIS
device wlan_ccmp

DESCRIPTION
The wlan_ccmp module handles the AES-CCMP cryptographic requirements of the WPA and 802.11i protocols. It does encapsulation and decapsulation of CCMP-encoded 802.11 frames and optionally calculates the AES-CCMP cipher. The wlan_ccmp module is an 802.11 cryptographic plugin module for use by the wlan(4) module. This module is automatically loaded if an AES-CCMP key is configured; typically by a WPA supplicant program such as wpa_supplicant, or a WPA authenticator program such as hostapd. Should the underlying network device not be capable of doing the AES-CCMP calculations in hardware, the wlan_ccmp module will do the work.

SEE ALSO
wlan(4), wlan_tkip(4), wlan_wep(4)

STANDARDS
More information can be found in the IEEE 802.11, WPA, and 802.11i Standards.

HISTORY
The wlan_ccmp driver first appeared in FreeBSD 6.0.